Subject: [TR] Lessons Learned - Was New Member Introduction and Need Clutch Pedal

From: William Brewer <[email-masked]>
Date: Sun, 5 Aug 2012 15:41:22 -0700 (PDT)

I see someone already responded that there are 3 pedal assemblies for
sale on Ebay.
     I let my daughter drive my TR3 a while back. She was trying
to return the seat to the proper position for me (all the way back!). She was
pushing against the clutch pedal as hard as she could and broke it off.
Luckily, I had a spare. I'll be TIG welding up my old one as as a spare. I
just wanted to post something so list members would know so they could keep
there eyes peeled in case someone else tries to do this in their TR3.
     I
guess that means that I should lube my seats rails as well. I don't have
trouble sliding the seats, but others do.

     Bill in Tehachapi

Date:
Fri, 3 Aug 2012 23:04:14 -0700
From: Sean Friele <[email-masked]>
To:
"[email-masked]" <[email-masked]>
Subject: [TR] New Member
Introduction and Need Clutch Pedal
Message-ID:
   
<[email-masked]>
   
Content-Type: text/plain; charset="us-ascii"

Hi, I'm Sean. I inhereted a TR3A
from my grandparants (original owners) and
discovered a broken Clutch pedal.
Does anyone have one they are willing to
sell or can recomend a source I can
get it from?

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]